| CAEN FERS Library v1.1.4 SDK for FERS systems

Functions
FERS configuration
API
Collaboration diagram for FERS configuration:

## Functions
int | FERS_configure (int handle, int mode)
| Configures a FERS board. More...
int | FERS_LoadConfigFile (char *filepath)
| Loads a configuration file. More...
int | FERS_SetParam (int handle, char *param_name, char *value)
| Set a parameter by name. The function assigns the value to the relevant parameter in the FERScfg struct, but it doesn't actually write it into the board (this is done by the "FERS_configure" function) More...
int | FERS_GetParam (int handle, char *param_name, char *value)
| Get the value of a parameter. The function reads the value from the relevant parameter in the FERScfg struct, but it doesn't actually read it from the board. More...

## Detailed Description

## Function Documentation

## ◆ FERS_configure()

int FERS_configure | ( | int | handle,
|  | int | mode
| ) |  |

Configures a FERS board.

Parameters

  [in] | handle | Board handle
  [in] | mode | Configuration mode

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_LoadConfigFile()

int FERS_LoadConfigFile | ( | char * | filepath | ) |

Loads a configuration file.

Parameters

  [in] | filepath | Path to the configuration file

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_SetParam()

int FERS_SetParam | ( | int | handle,
|  | char * | param_name,
|  | char * | value
| ) |  |

Set a parameter by name. The function assigns the value to the relevant parameter in the FERScfg struct, but it doesn't actually write it into the board (this is done by the "FERS_configure" function)

Parameters

  [in] | handle | Board handle
  [in] | param_name | Name of the parameter to set
  [in] | value | Value to set for the parameter

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes

## ◆ FERS_GetParam()

int FERS_GetParam | ( | int | handle,
|  | char * | param_name,
|  | char * | value
| ) |  |

Get the value of a parameter. The function reads the value from the relevant parameter in the FERScfg struct, but it doesn't actually read it from the board.

Parameters

  [out] | value | Pointer to the value of the parameter
  [in] | handle | Board handle
  [in] | param_name | Name of the parameter to get

Returns
  0 on success, or a negative error code as defined in FERSLIB_ErrorCodes